package com.aliyun.iot.util;

/**
 * Created by Gary on 14-5-6.
 */
public class InvalidDataPacket extends Exception {

    public static final String UNKNOW_PACKET = "unknow_packet";     // 未知的数据包
    public static final String INCOMPLETE_PACKET = "incomplete_packet"; // 数据包不完整
    public static final String UNKNOWN_MESSAGETYPE = "unknown_messageType"; // 未知的消息类型
    public static final String UNTRUST_MESSAGE = "untrust_message"; // 未受信的数据内容
    private static final long serialVersionUID = 1L;

    public InvalidDataPacket(String reason) {

        this(reason, null);
    }

    public InvalidDataPacket(String reason, Throwable throwable) {

        super(reason, throwable);
    }
}
